function Fah(){Lfd.call(this)}
function wah(a,b,d,e){yGd.call(this,a,b,d);this.a=e}
function Wgh(a){var b;if(!a.k){b=new Dah((y1i(dee(a.a)),loj(fee(a.a))));a.k=b}return a.k}
function Vgh(a){var b;if(!a.j){b=new wah(IFd(zce(a.a)),Wgh(a),Ugh(a),AMg(tde(a.a)));UFd((Ace(a.a),b),RGd(Ace(a.a)));a.j=b}return a.j}
function Dah(){bAf.call(this,o3b);this.a=new $Af(o3b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
C3c(4518,1014,Fyj,wah);_.Vi=function(){};_.$i=function(){this.A.Dr()};_.cj=function(){Hvf(this.a,this)};C3c(4521,2874,Gzj,Dah);_.Dh=function(){return Vzf(this)};_.Ar=function(){return this.a};_.Br=function(){return z6j};_.Fr=function(){var a;a=new q_f(this.n);y1d(a,OGj,t1d(uM(D2c,xxj,263,[q1i(V0i(this.r,WAj),uM(a2c,xxj,235,[])),q1i(V0i(this.r,RYj),uM(a2c,xxj,235,[]))])));return a};_.Jr=function(){var a,b;b=new Qrg(5);y7c(b,new C3g,kIj);a=new Fah;M7c(b,b.u.b,a,new Nfd(xZj));return b};C3c(4522,677,myj,Fah);_.rd=function(a){return a.oL()};C3c(4589,1,lzj);_.ud=function(){qHd(this.b,Vgh(this.a.a))};var e2b=kOd(4518),g2b=kOd(4521),f2b=kOd(4522);Zzj(np)(18);